<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:10 AEST 2019 -->
<title>com.sk89q.worldedit.world.registry Class Hierarchy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.world.registry Class Hierarchy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/item/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.sk89q.worldedit.world.registry</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledBlockData</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.BlockEntry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledBlockData.BlockEntry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledBlockRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledItemData</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.ItemEntry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledItemData.ItemEntry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledItemRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/ItemRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BundledRegistries.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BundledRegistries</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry">Registries</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/LegacyMapper.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">LegacyMapper</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/NullBiomeRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">NullBiomeRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BiomeRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BiomeRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/NullBlockCategoryRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">NullBlockCategoryRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockCategoryRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/NullEntityRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">NullEntityRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/EntityRegistry.html" title="interface in com.sk89q.worldedit.world.registry">EntityRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">NullItemCategoryRegistry</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a>)</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">PassthroughBlockMaterial</span></a> (implements com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BiomeRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BiomeRegistry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BlockMaterial</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BlockRegistry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">CategoryRegistry</span></a>&lt;T&gt;
<ul>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">BlockCategoryRegistry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">ItemCategoryRegistry</span></a></li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/EntityRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">EntityRegistry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/ItemRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">ItemRegistry</span></a></li>
<li type="circle">com.sk89q.worldedit.world.registry.<a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Registries</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/item/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
